/* $Id: lang.h 110 2005-12-10 09:42:34Z steve $ */
#ifndef AWFFULL_LANG_H
#define AWFFULL_LANG_H

extern const char *language;

extern const char *msg_records;
extern const char *msg_addresses;
extern const char *msg_ignored;
extern const char *msg_bad;
extern const char *msg_in;
extern const char *msg_seconds;

extern const char *msg_log_err;
extern const char *msg_log_use;
extern const char *msg_dir_err;
extern const char *msg_dir_use;
extern const char *msg_cur_dir;
extern const char *msg_hostname;
extern const char *msg_ign_hist;
extern const char *msg_no_hist;
extern const char *msg_get_hist;
extern const char *msg_put_hist;
extern const char *msg_hist_err;
extern const char *msg_bad_hist;
extern const char *msg_bad_conf;
extern const char *msg_bad_key;
extern const char *msg_bad_date;
extern const char *msg_ign_nscp;
extern const char *msg_bad_rec;
extern const char *msg_no_vrec;
extern const char *msg_gen_rpt;
extern const char *msg_gen_sum;
extern const char *msg_get_data;
extern const char *msg_put_data;
extern const char *msg_no_data;
extern const char *msg_bad_data;
extern const char *msg_data_err;
extern const char *msg_dup_data;

extern const char *msg_nomem_ts;
extern const char *msg_nomem_tr;
extern const char *msg_nomem_tu;
extern const char *msg_nomem_tc;
extern const char *msg_nomem_ta;
extern const char *msg_nomem_tsr;
extern const char *msg_nomem_ti;
extern const char *msg_nomem_dh;
extern const char *msg_nomem_mh;
extern const char *msg_nomem_u;
extern const char *msg_nomem_a;
extern const char *msg_nomem_r;
extern const char *msg_nomem_sc;
extern const char *msg_nomem_i;

extern const char *msg_big_rec;
extern const char *msg_big_host;
extern const char *msg_big_date;
extern const char *msg_big_req;
extern const char *msg_big_ref;
extern const char *msg_big_user;
extern const char *msg_big_one;

extern const char *msg_no_open;

extern const char *h_usage1;
extern const char *h_usage2;
extern const char *h_msg[];

/* HTML Strings */

extern const char *msg_hhdr_sp;
extern const char *msg_hhdr_gt;

extern const char *msg_main_us;
extern const char *msg_main_per;
extern const char *msg_main_sum;
extern const char *msg_main_da;
extern const char *msg_main_mt;

extern const char *msg_hmth_du;
extern const char *msg_hmth_hu;

extern const char *msg_h_by;
extern const char *msg_h_avg;
extern const char *msg_h_max;
extern const char *msg_h_total;
extern const char *msg_h_totals;
extern const char *msg_h_day;
extern const char *msg_h_mth;
extern const char *msg_h_hour;
extern const char *msg_h_hits;
extern const char *msg_h_pages;
extern const char *msg_h_visits;
extern const char *msg_h_files;
extern const char *msg_h_sites;
extern const char *msg_h_xfer;
extern const char *msg_h_hname;
extern const char *msg_h_url;
extern const char *msg_h_agent;
extern const char *msg_h_ref;
extern const char *msg_h_ctry;
extern const char *msg_h_search;
extern const char *msg_h_uname;
extern const char *msg_h_bookm;

extern const char *msg_hlnk_ds;
extern const char *msg_hlnk_hs;
extern const char *msg_hlnk_u;
extern const char *msg_hlnk_s;
extern const char *msg_hlnk_a;
extern const char *msg_hlnk_c;
extern const char *msg_hlnk_r;
extern const char *msg_hlnk_en;
extern const char *msg_hlnk_ex;
extern const char *msg_hlnk_sr;
extern const char *msg_hlnk_i;

extern const char *msg_mtot_ms;
extern const char *msg_mtot_th;
extern const char *msg_mtot_tf;
extern const char *msg_mtot_tx;
extern const char *msg_mtot_us;
extern const char *msg_mtot_ur;
extern const char *msg_mtot_ua;
extern const char *msg_mtot_uu;
extern const char *msg_mtot_ui;
extern const char *msg_mtot_mhd;
extern const char *msg_mtot_mhh;
extern const char *msg_mtot_mfd;
extern const char *msg_mtot_mpd;
extern const char *msg_mtot_mvd;
extern const char *msg_mtot_mkd;
extern const char *msg_mtot_rc;
extern const char *msg_mtot_bm;

extern const char *msg_dtot_ds;

extern const char *msg_htot_hs;

extern const char *msg_ctry_use;
extern const char *msg_urls_by_hits;
extern const char *msg_urls_by_volume;
extern const char *msg_top_entry;
extern const char *msg_top_exit;
extern const char *msg_top_sites_by_pages;
extern const char *msg_top_sites_by_volume;

extern const char *msg_top_top;
extern const char *msg_top_of;
extern const char *msg_top_s;
extern const char *msg_top_u;
extern const char *msg_top_r;
extern const char *msg_top_a;
extern const char *msg_top_c;
extern const char *msg_top_en;
extern const char *msg_top_ex;
extern const char *msg_top_sr;
extern const char *msg_top_i;
extern const char *msg_v_sites;
extern const char *msg_v_urls;
extern const char *msg_v_refs;
extern const char *msg_v_agents;
extern const char *msg_v_search;
extern const char *msg_v_users;

extern const char *msg_title;
extern const char *msg_h_other;

extern const char *s_month[12];
extern const char *l_month[12];

extern struct response_code response[];
extern struct country_code ctry[];

#endif          /* AWFFULL_LANG_H */
